View Issue Details

IDProjectCategoryView StatusLast Update
0000227Bacula-Webbug-phppublic2017-11-21 09:26
ReporterwandihuttelAssigned Todavide 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version8.0.0-rc1 
Target Version8.0.0-rc2Fixed in Version8.0.0-rc2 
Summary0000227: Deprecated split() function with PHP-7.0 in BWeb class
DescriptionThere is a deprecated function in file "bweb/core/bweb.class.php" called split.

 // Get first part of datetime_format
$this->datetime_format_short = split( ' ', $this->datetime_format);
$this->datetime_format_short = $this->datetime_format_short[0];

It must modify to "explode"
TagsNo tags attached.

Activities

davide

2017-11-09 17:21

manager   ~0000703

Good catch, I'll fix it for 8.0.0-rc.2

davide

2017-11-21 09:26

manager   ~0000715

It is fixed now.

The fix will be available in 8.0.0-rc.2

Thanks for the bug report

Issue History

Date Modified Username Field Change
2017-11-07 16:14 wandihuttel New Issue
2017-11-09 17:20 davide Assigned To => davide
2017-11-09 17:20 davide Status new => assigned
2017-11-09 17:20 davide Target Version => 8.0.0-rc2
2017-11-09 17:21 davide Note Added: 0000703
2017-11-20 12:25 davide Summary Bweb error with PHP-7.0 => Bacula-Web error with PHP-7.0
2017-11-21 09:12 davide Summary Bacula-Web error with PHP-7.0 => Deprecated split() function with PHP-7.0 in BWeb class
2017-11-21 09:26 davide Status assigned => resolved
2017-11-21 09:26 davide Resolution open => fixed
2017-11-21 09:26 davide Fixed in Version => 8.0.0-rc2
2017-11-21 09:26 davide Note Added: 0000715